#include<bits/stdc++.h>
#include<algorithm>
using namespace std;
int main(){
    long long n;
    cin>>n;
    int sq = 0;
    long long ans = 0;
    for(int i = 1 ; i <= floor(cbrt(n)) ; i++ ){
        if(n%i == 0){
            sq = n/i;
            for(int j = i; j <= floor(sqrt(sq)) ; j++ ){
                if(sq % j == 0){
                    ans++;
                }
            }
        }
    }
    cout<<ans;
}
